<?php
// WebJaxe, Observatoire de Paris, licence GPL
// encodage : UTF-8

// affiche la page permettant de modifier les projets d'un utilisateur
// nécessite tete_pied.php, projets.php, base_de_donnees.php, utilisateurs.php, et l'initialisation des strings et des erreurs
function page_projets_utilisateur($id_utilisateur) {
    
    $utilisateur = utilisateur($id_utilisateur);
    $login = $utilisateur['login'];
    $liste_projets = liste_id_projets();
    $liste_projets_utilisateur = liste_des_projets_utilisateur($id_utilisateur, false);
    
    debut_html(LISTE_PROJETS, GESTION_UTILISATEURS);
    $jeton = getJeton();
    echo '<h2>'.$login.'</h2>'."\n";
    echo '<div class="boitedroite">'."\n";
    if ($liste_projets_utilisateur != FALSE) {
        for ($i=0; $i<count($liste_projets_utilisateur); $i++)
        {
            $projet = $liste_projets_utilisateur[$i];
            $id_projet = $projet['id'];
            $titre_projet = $projet['titre'];
            echo '<div class="contributeur">';
            echo '<form method="POST" action="administration.php">'."\n";
            echo '<p><input type="hidden" name="jeton" value="'.$jeton.'">'."</p>\n";
            echo "$titre_projet\n";
            echo '<input type="hidden" name="action" value="supprimer_lien_projet">'."\n";
            echo '<input type="hidden" name="id_projet" value="'.$id_projet.'">';
            echo '<input type="hidden" name="id_utilisateur" value="'.$id_utilisateur.'">';
            echo '<input type="submit" value="'.RETIRER.'" class="valider">'."\n";
            echo "</form>\n";
            echo "</div>\n";
        }
    }
    //ajouter un projet
    echo '<div class="ajout_contributeur">'."\n";
    echo '<form method="POST" action="administration.php">'."\n";
    echo '<p><input type="hidden" name="jeton" value="'.$jeton.'">'."</p>\n";
    echo '<input type="hidden" name="action" value="ajouter_lien_projet">'."\n";
    $liste_projets_hors_utilisateur = array();
    for ($i=0; $i<count($liste_projets); $i++)
    {
        $id_projet = $liste_projets[$i];
        $lien = false;
        for ($j=0; $j<count($liste_projets_utilisateur); $j++)
        {
            if ($id_projet == $liste_projets_utilisateur[$j]['id'])
                $lien = true;
        }
        if ($lien == false)
            array_push($liste_projets_hors_utilisateur, $id_projet);
    }
    if (count($liste_projets_hors_utilisateur) > 0)
    {
        echo '<select name="id_projet">';
        for ($i=0; $i<count($liste_projets_hors_utilisateur); $i++)
        {
            $id_projet = $liste_projets_hors_utilisateur[$i];
            echo "<option value=\"".$id_projet."\">".titre_projet($id_projet)."</option>";
        }
        echo "</select>\n";
        echo '<input type="submit" name="ajouter" value="'.JOINDRE.'" class="valider">';
    }
    echo '<input type="hidden" name="id_utilisateur" value="'.$id_utilisateur.'">'."\n";
    echo "</form>\n";
    echo "</div>"; // ajout_contributeur
    echo "</div>\n"; // boitedroite
    
    echo '<p><a href="administration.php?page=administration_utilisateurs">'.RETOUR."</a></p>\n";
    
    fin_html();
}


// Ajoute un lien utilisateur-projet à partir d'une requête POST
function action_ajouter_lien_projet() {
    
    if (!isset($_POST['id_projet']) || !isset($_POST['id_utilisateur']) || !isset($_POST['jeton']))
        erreur(PARAMETRES_MANQUANT);
        
    if(!comparerJeton($_POST['jeton']))
        erreur(JETON_INVALIDE);
    
    $id_projet = $_POST['id_projet'];
    verifie_id($id_projet);
    $id_utilisateur = $_POST['id_utilisateur'];
    verifie_id($id_utilisateur);
    
    ajouter_participant($id_projet, $id_utilisateur);
    page_projets_utilisateur($id_utilisateur);
}


// Supprime un lien utilisateur-projet à partir d'une requête POST
function action_supprimer_lien_projet() {
    
    if (!isset($_POST['id_projet']) || !isset($_POST['id_utilisateur']) || !isset($_POST['jeton']))
        erreur(PARAMETRES_MANQUANT);
        
    if(!comparerJeton($_POST['jeton']))
        erreur(JETON_INVALIDE);
    
    $id_projet = $_POST['id_projet'];
    verifie_id($id_projet);
    $id_utilisateur = $_POST['id_utilisateur'];
    verifie_id($id_utilisateur);
    
    supprimer_participant($id_projet, $id_utilisateur);
    page_projets_utilisateur($id_utilisateur);
}

?>
